<?php

ini_set('display_errors', 'on');
error_reporting(E_ALL);

$url = filter_input(INPUT_POST, 'validationURL', FILTER_SANITIZE_URL);

$data = [
    'merchantIdentifier' => 'example.com.store',
    'domainName'         => filter_input(INPUT_SERVER, 'SERVER_NAME'),
    'displayName'        => 'Your Display Name',
];

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL            => $url,
    CURLOPT_SSLCERT        => 'YOUR_PATH_TO_CERTIFICATE_FILE',
    CURLOPT_SSLKEY         => 'YOUR_PATH_TO_PRIVATE_KEY_FILE',
    CURLOPT_SSLKEYPASSWD   => '',
    CURLOPT_RETURNTRANSFER => TRUE,
    CURLOPT_POST           => TRUE,
    CURLOPT_POSTFIELDS     => json_encode($data),
    CURLOPT_SSL_VERIFYHOST => FALSE,
    CURLOPT_SSL_VERIFYPEER => FALSE,
]);
$result = curl_exec($ch);
if ($result === FALSE) {
    trigger_error(curl_error($ch));
}
curl_close($ch);

echo $result;
exit;